# std::time_get_byname

From cppreference.com
< cpp‎ | locale

Defined in header `<locale>` |  |
template< class CharT, class InputIterator = std::istreambuf_iterator<CharT> > class time_get_byname : public std::time_get<CharT, InputIterator> |  |

std::time_get_byname is a std::time_get facet which encapsulates time and date parsing rules of the locale specified at its construction.

Two specializations are provided by the standard library

Defined in header `<locale>`
std::time_get_byname<char, InputIterator> | narrow/multibyte time parsing
std::time_get_byname<wchar_t, InputIterator> | wide string time parsing

### Member types

Member type | Definition
`char_type` | `CharT`
`iter_type` | `OutputIterator`

### Member functions

(constructor) | constructs a new `time_get_byname` facet (public member function)
(destructor) | destroys a `time_get_byname` facet (protected member function)

## std::time_get_byname::time_get_byname

explicit time_get_byname( const char* name, std::size_t refs = 0 ); |  |
explicit time_get_byname( const std::string& name, std::size_t refs = 0 ); |  | (since C++11)

Constructs a new `std::time_get_byname` facet for a locale with `name`.

`refs` is used for resource management: if refs == 0, the implementation destroys the facet, when the last std::locale object holding it is destroyed. Otherwise, the object is not destroyed.

### Parameters

name | - | the name of the locale
refs | - | the number of references that link to the facet

## std::time_get_byname::~time_get_byname

protected: ~time_get_byname(); |  |

Destroys the facet.

## Inherited from std::time_get

Member type | Definition
`char_type` | `CharT`
`iter_type` | `InputIt`

### Member objects

Member name | Type
`id` (static) | std::locale::id

### Member functions

date_order | invokes `do_date_order` (public member function of `std::time_get`)
get_time | invokes `do_get_time` (public member function of `std::time_get`)
get_date | invokes `do_get_date` (public member function of `std::time_get`)
get_weekday | invokes `do_get_weekday` (public member function of `std::time_get`)
get_monthname | invokes `do_get_monthname` (public member function of `std::time_get`)
get_year | invokes `do_get_year` (public member function of `std::time_get`)
get (C++11) | invokes `do_get` (public member function of `std::time_get`)

### Protected member functions

do_date_order [virtual] | obtains preferred ordering of day, month, and year (virtual protected member function of `std::time_get`)
do_get_time [virtual] | extracts hours, minutes, and seconds from input stream (virtual protected member function of `std::time_get`)
do_get_date [virtual] | extracts month, day, and year from input stream (virtual protected member function of `std::time_get`)
do_get_weekday [virtual] | extracts the name of a day of the week from input stream (virtual protected member function of `std::time_get`)
do_get_monthname [virtual] | extacts a month name from input stream (virtual protected member function of `std::time_get`)
do_get_year [virtual] | extracts a year from input stream (virtual protected member function of `std::time_get`)
do_get [virtual] (C++11) | extracts date/time components from input stream, according to the specified format (virtual protected member function of `std::time_get`)

## Inherited from std::time_base

Type | Definition
`dateorder` | date order enumeration type, defining the values `no_order`, `dmy`, `mdy`, `ymd`, and `ydm`

### Example

| This section is incomplete Reason: no example

### See also

time_get | parses time/date values from an input character sequence into struct std::tm (class template)
get_time (C++11) | parses a date/time value of specified format (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/locale/time_get_byname&oldid=63753"
Category:

- Todo no example